## List All IntegrationConfigs

### cURL

```
curl --request GET \
  --url https://api.m3ter.com/organizations/{orgId}/integrationconfigs \
  --header 'Authorization: Bearer <token>'
```

```
import requests

url = "https://api.m3ter.com/organizations/{orgId}/integrationconfigs"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

```
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.m3ter.com/organizations/{orgId}/integrationconfigs', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```


```

### Response Status Codes

- **200**
- **4XX**
- **5XX**

### Sample JSON Response

```
{
  "data": [\
    {\
      "id": "<string>",\
      "entityType": "Bill",\
      "destination": "Stripe",\
      "version": 123,\
      "dtCreated": "2023-11-07T05:31:56Z",\
      "dtLastModified": "2023-11-07T05:31:56Z",\
      "createdBy": "<string>",\
      "lastModifiedBy": "<string>",\
      "entityId": "00000000-0000-0000-0000-000000000000",\
      "destinationId": "00000000-0000-0000-0000-000000000000",\
      "configData": {},\
      "authorized": true,\
      "enabled": true,\
      "integrationCredentialsId": "00000000-0000-0000-0000-000000000000",\
      "name": "My Integration"\
    }\
  ],\
  "nextToken": "<string>"
}
```

```
{
  "message": "<string>"
}
```

### Authorizations

- **Authorization**: string, header, required
  - m3ter supports machine to machine authentication using the `clientCredentials` OAuth2 flow.

### Path Parameters

- **orgId**: string, required
  - The unique identifier (UUID) for the organization. This specifies the organization within which the webhook destination is created.

### Query Parameters

- **pageSize**: integer<int32>
  - Specifies the maximum number of integration configurations to retrieve per page. Required range: `1 <= x <= 200`
- **nextToken**: string
  - The `nextToken` for multi-page retrievals. It is used to fetch the next page of integration configurations in a paginated list.
- **destinationId**: string
  - optional filter for a specific destination.

### Response

- **200** application/json  
  Returns the IntegrationConfigs.

### Sample Response Structure
